Bug 962839 - Review Request: hibernate-validator5 - Bean Validation 1.1 (JSR 349) Reference Implementation
Review Request: hibernate-validator5 - Bean Validation 1.1 (JSR 349) Referenc...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On: 947509 962451 962452 962454 962470 962473 962836
Blocks: 871014
  Show dependency treegraph
 
Reported: 2013-05-14 10:40 EDT by gil cattaneo
Modified: 2013-07-24 04:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 04:02:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-05-14 10:40:31 EDT
Spec URL: http://gil.fedorapeople.org/hibernate-validator5.spec
SRPM URL: http://gil.fedorapeople.org/hibernate-validator5-5.0.1-1.fc18.src.rpm
Description: This is the reference implementation of JSR-349 - Bean Validation 1.1.
Bean Validation defines a meta-data model and API for JavaBean as well
as method validation. The default meta-data source are annotations,
with the ability to override and extend the meta-data through the
use of XML validation descriptors.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2013-05-16 11:19:23 EDT
This package is needed for:
- jersey JAX-RS  2.0 (JSR 339) production quality Reference Implementation
- Glassfish HK2 (for modules: config, config-generator, config-types)
Comment 2 Marek Goldmann 2013-07-08 03:16:45 EDT
I would like hold on with the review. Once WildFly will require hibernate-validator 5 I'll revisit this review request. We'll decide then to upgrade the main hibernat-validator package to 5 directly or create a compat package. For now, please do not proceed with review.
Comment 3 Marek Goldmann 2013-07-24 04:02:38 EDT
It seems that hibernate-validator 5 is required now for WildFly. We need to upgrade the hibernate-validator package to version 5. I think we can skip for now creating the compat package (hibernate-validator4) until something will strictly require it.

I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.